Composer fails to install - 503 error

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Composer fails to install - 503 error

shane adams
Hi,

Trying to install log4php today using composer looks like a machine is having issues:

The requested URL returned error: 503 while accessing https://git-wip-us.apache.org/repos/asf/logging-log4php.git/info/refs

I hit that URL in a browser and am indeed getting an error.


Full request: 

shane@slurp:~/slurp/pdash$ composer update
Loading composer repositories with package information
Updating dependencies (including require-dev)
  - Installing apache/log4php (2.3.0)
    Cloning 2.3.0



  [RuntimeException]
  Failed to execute git clone 'https://git-wip-us.apache.org/repos/asf/loggin
  g-log4php.git' '/home/shane/slurp/pdash/vendor/apache/log4php' && cd '/home
  /shane/slurp/pdash/vendor/apache/log4php' && git remote add composer 'https
  er

  error: The requested URL returned error: 503 while accessing https://git-wi
  fatal: HTTP request failed


Thanks!
  Shane

Reply | Threaded
Open this post in threaded view
|

Re: Composer fails to install - 503 error

Ivan Habunek
I think there was some issue with the Apache git server so it might have been offline for a while. It works for me now, so it should for you also.

Unfortunately, the git server can be a bit unreliable at times. As a workaround, you can install from the github mirror.

Instead of doing this:
{
    "require": {
        "apache/log4php": "2.3.0"
    }
}

Do this:
{
    "repositories": [
        {
            "type": "vcs",
        }
    ],
    "require": {
        "apache/log4php": "2.3.0"
    }
}

The repository definition will override the default server from which the code is installed.

Regards,
Ivan




On 12 June 2013 00:15, shane adams <[hidden email]> wrote:
Hi,

Trying to install log4php today using composer looks like a machine is having issues:

The requested URL returned error: 503 while accessing https://git-wip-us.apache.org/repos/asf/logging-log4php.git/info/refs

I hit that URL in a browser and am indeed getting an error.


Full request: 

shane@slurp:~/slurp/pdash$ composer update
Loading composer repositories with package information
Updating dependencies (including require-dev)
  - Installing apache/log4php (2.3.0)
    Cloning 2.3.0



  [RuntimeException]
  Failed to execute git clone 'https://git-wip-us.apache.org/repos/asf/loggin
  g-log4php.git' '/home/shane/slurp/pdash/vendor/apache/log4php' && cd '/home
  /shane/slurp/pdash/vendor/apache/log4php' && git remote add composer 'https
  er

  error: The requested URL returned error: 503 while accessing https://git-wi
  fatal: HTTP request failed


Thanks!
  Shane